## propka 3.5.1

=== requirements.txt ===
pytest
numpy
sphinx>=3.1
sphinx_rtd_theme
sphinx_sitemap

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile ghpages

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# push to this repo's gh-pages (must be named origin and must have a gh-pages branch)

REPONAME = origin

ghpages: html
	-(ORIGIN_REMOTE_URL=`git config --get remote.$(REPONAME).url`; \
	rev=`git rev-parse --short HEAD`; \
        cd $(BUILDDIR)/$^ \
	&& git init \
	&& git remote add origin $${ORIGIN_REMOTE_URL} \
	&& git fetch --depth 50 origin gh-pages \
	&& git reset origin/gh-pages \
	&& touch .nojekyll \
	&& git add -A . \
        && git diff-index --quiet HEAD -- || git commit -m "updated sphinx docs from $${rev}" \
	&& git push -q origin HEAD:gh-pages)
	rm -rf $(BUILDDIR)/$^/.git

=== docs/requirements.txt ===
sphinx==5.3.0
sphinx_rtd_theme==1.1.1
sphinx_sitemap==2.5.1
readthedocs-sphinx-search==0.1.1

## propka 3.4.0

=== debian/changelog ===
propka (3.4.0-5) unstable; urgency=medium

  * Team upload

  [ Lance Lin ]
  * Added python-propka-doc.doc-base (Closes: #1006665)

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Section: python for Python3 package

 -- Lance Lin <LQi254@protonmail.com>  Thu, 07 Apr 2022 20:28:53 +0700

propka (3.4.0-4) unstable; urgency=medium

  * Declare 'Provides: propka', install appropriate symlinks.
  * Declare Breaks+Replaces: pdb2pqr (<< 3.5.2).

 -- Andrius Merkys <merkys@debian.org>  Mon, 14 Mar 2022 02:33:16 -0400

propka (3.4.0-3) unstable; urgency=medium

  * Set sensible whatis entry in the manpage.

 -- Andrius Merkys <merkys@debian.org>  Wed, 02 Mar 2022 01:51:02 -0500

propka (3.4.0-2) unstable; urgency=medium

  * Fixing dependencies: it is python-propka-doc which depends on
    libjs-mathjax.
  * Adding missing license reference for versioneer.py and PDB files.

 -- Andrius Merkys <merkys@debian.org>  Mon, 28 Feb 2022 02:15:06 -0500

propka (3.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #1005969)

 -- Andrius Merkys <merkys@debian.org>  Fri, 18 Feb 2022 10:33:43 -0500

=== debian/control ===
Source: propka
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-sphinxdoc,
 help2man,
 python3-all,
 python3-numpy <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.0
Homepage: http://propka.org
Vcs-Browser: https://salsa.debian.org/med-team/propka
Vcs-Git: https://salsa.debian.org/med-team/propka.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-propka-doc
Architecture: all
Section: doc
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: heuristic pKa calculations with ligands (documentation)
 PROPKA predicts the pKa values of ionizable groups in proteins (version 3.0)
 and protein-ligand complexes (version 3.1 and later) based on the 3D structure.
 .
 For proteins without ligands both versions should produce the same result.
 .
 This is the common documentation package.

Package: python3-propka
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 pdb2pqr (<< 3.5.2),
Replaces:
 pdb2pqr (<< 3.5.2),
Provides:
 propka,
Suggests:
 python-propka-doc,
Description: heuristic pKa calculations with ligands (Python 3)
 PROPKA predicts the pKa values of ionizable groups in proteins (version 3.0)
 and protein-ligand complexes (version 3.1 and later) based on the 3D structure.
 .
 For proteins without ligands both versions should produce the same result.
 .
 This package installs the library for Python 3.

## propka 3.5.0

=== debian/changelog ===
propka (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0
  * Use Testsuite: autopkgtest-pkg-pybuild.
  * Update standards version to 4.6.2, no changes needed.
  * Add references to debian/upstream/metadata.
  * Add tests/ to debian/pybuild.testfiles.

 -- Andrius Merkys <merkys@debian.org>  Mon, 20 Feb 2023 03:11:15 -0500

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://propka.org
 Vcs-Browser: https://salsa.debian.org/med-team/propka
 Vcs-Git: https://salsa.debian.org/med-team/propka.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python-propka-doc

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=propka

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source build/html
	PYTHONPATH=. python3 -m sphinx -N -bman  docs/source build/man

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -p python-propka-doc --doc-main-package python3-propka build/html

override_dh_installman:
	PYTHONPATH=. help2man debian/python3-propka/usr/bin/propka3 --no-info \
		--name 'predict pKa values of ionizable groups' > propka3.1
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/source/api propka.egg-info

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/jensengroup/propka/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## propka 3.5.1

=== debian/changelog ===
propka (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1
  * Bump copyright years.
  * Drop fix-removed-readfp.patch (integrated upstream).
  * Cleanup debian/rules.
  * Configure mathjax to display TeX equations in docs (Closes: #1059699)

 -- Andrius Merkys <merkys@debian.org>  Thu, 04 Jan 2024 04:11:52 -0500

propka (3.5.0-3) unstable; urgency=medium

  * Adjust the code due to removal of ConfigParser.readfp() (Closes: #1058163)

 -- Andrius Merkys <merkys@debian.org>  Thu, 14 Dec 2023 02:31:11 -0500

propka (3.5.0-2) unstable; urgency=medium

  * Binary package depends on python3-pkg-resources.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 31 Jul 2023 11:26:12 -0400

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
 Section: doc
 Depends:
  libjs-mathjax,
+ python3-pkg-resources,
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Description: heuristic pKa calculations with ligands (documentation)

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = propka

# Some test files are not found as they are strangely placed by debian/pybuild.testfiles
export PYBUILD_TEST_ARGS = -k 'not test_molecular_container'

export http_proxy  = 127.0.0.1:9
export https_proxy = 127.0.0.1:9

%:
	dh $@ --buildsystem pybuild --with python3

execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source build/html
	PYTHONPATH=. python3 -m sphinx -N -bman  docs/source build/man

execute_after_dh_installdocs:
	dh_installdocs -p python-propka-doc --doc-main-package python3-propka build/html

execute_before_dh_installman:
	PYTHONPATH=. help2man debian/python3-propka/usr/bin/propka3 --no-info \
		--name 'predict pKa values of ionizable groups' > propka3.1

execute_after_dh_auto_clean:
	rm -rf docs/source/api propka.egg-info
